{% extends "base.html" %}
{% block main %}
	<br/>
	<br/>
	<center>
		<img src="{{ url_for('static', filename='images/Bienvenue_sur_WineMarket.png') }}"> 
	</center>
<br/>
<br/>
<br/>
<br/>
<br/>
<div style="text-align: center">
	<b>Séléction par :</b>
	<button type="button" onclick="self.location.href='/vintage'" class="button">Année</button>
	<button type="button" onclick="self.location.href='/category'" class="button">Catégorie</button>
	<button type="button" onclick="self.location.href='/region'" class="button">Région</button>
	<button type="button" onclick="self.location.href='/varietal'" class="button">Variété</button>
</div>
<br/>
<br/>
<center>
<div style="width:300px;">
	<table>
		<td style="width:100px;">
			{% if wines.has_prev %}
				<button type="button" class="btn btn-default btn-sm" onclick="self.location.href='{{ prev }}/{{wines.prev_num}}'">
					<span class="glyphicon glyphicon-arrow-left"></span> Précédent
				</button>
			{% endif %}
		</td>
		<td style="width:100px;">
			<center>{{ wines.page }} - {{ wines.pages }}</center>
		</td>
		<td style="width:100px;">
			{% if wines.has_next %}
				<button type="button" class="btn btn-default btn-sm" onclick="self.location.href='{{ prev }}/{{wines.next_num}}'">
					<span class="glyphicon glyphicon-arrow-right"></span> Suivant
				</button>
			{% endif %}
		</td>
	</table>
</div>
</center>
<br>
<div class = "row">
	{%for w in wines.items%}
		{% if not loop.first %}
			{% if (loop.index0 % 3 ) == 0 %}
				<div class ="clearfix visible-md-block visible-lg-block "></div>
			{% endif %}
			{% if (loop.index0 % 2 ) == 0 %}
				<div class ="clearfix visible-sm-block"></div>
			{% endif %}
			{% if (loop.index0 % 1 ) == 0 %}
				<div class ="clearfix visible-xs-block"></div>
			{% endif %}
		{% endif %}
		<div class= "col-xs-12 col-sm-6 col-md-4 myimg">
		  <a href="/one_wine/{{w.id}}">
			<img src ="{{ url_for('static', filename='images/'+w.image) }}"/>
			</a>
			</br>
			<center>
			<table>
				<tr>
					<td>
						<b>
							Nom  :
						</b>
					</td> 
					<td>
						{{ w.name }}
					</td>
				</tr>
				<tr>
					<td>
						<b>
							Année :
						</b>
					</td> 
					<td>
						{{ w.vintage}}
					</td>
				</tr>
				<tr>
					<td>
						<b>
							Catégorie   :&nbsp;&nbsp;&nbsp;
						</b>
					</td> 
					<td>
						{{ w.category}}
					</td>
				</tr>
			</table>
			</center>
			</br></br>
		</div>
	{% endfor %}
</div>
<center>
<div style="width:300px;">
	<table>
		<td style="width:100px;">
			{% if wines.has_prev %}
				<button type="button" class="btn btn-default btn-sm" onclick="self.location.href='{{ prev }}/{{wines.prev_num}}'">
					<span class="glyphicon glyphicon-arrow-left"></span> Précédent
				</button>
			{% endif %}
		</td>
		<td style="width:100px;">
			<center>{{ wines.page }} - {{ wines.pages }}</center>
		</td>
		<td style="width:100px;">
			{% if wines.has_next %}
				<button type="button" class="btn btn-default btn-sm" onclick="self.location.href='{{ prev }}/{{wines.next_num}}'">
					<span class="glyphicon glyphicon-arrow-right"></span> Suivant
				</button>
			{% endif %}
		</td>
	</table>
</div>
</center>
<br><br>
{% endblock %}
